--- sendurl-new.rkt	2014-11-21 01:25:52.222875800 -0500
+++ sendurl.rkt	2014-04-17 15:58:40.000000000 -0400
@@ -157,8 +157,7 @@
 
 (define osascript (delay/sync (find-executable-path "osascript" #f)))
 (define (send-url/mac url)
-  (send-via-trampoline url
-    (λ() (browser-run (force osascript) "-e" (format "open location \"~a\"" url)))))
+  (browser-run (force osascript) "-e" (format "open location \"~a\"" url)))
 
 (define (send-url/unix url separate-window?)
   ;; in cases where a browser was uninstalled, we might get a preference that
@@ -176,7 +175,6 @@
     (cond [(assq browser (force existing-unix-browsers->exes)) => cdr]
           [else #f]))
   (define (simple) (browser-run exe url))
-  (define (w/trampoline) (send-via-trampoline url simple)
   (define (w/arg a) (browser-run exe a url))
   (define (try-remote)
     (or (system* exe "-remote" (format "openURL(~a~a)" url
@@ -196,9 +194,7 @@
     ;; finally, deal with the actual browser process
     [else
      (case browser
-       [(xdg-open)
-        (w/trampoline)]
-       [(gnome-open firefox konqueror dillo htmlview google-chrome)
+       [(xdg-open gnome-open firefox konqueror dillo htmlview google-chrome)
         (simple)]
        ;; don't really know how to run these
        [(camino skipstone mosaic) (simple)]
@@ -230,12 +226,8 @@
 ;; that redirects to the actual file and fragment.
 
 (define (send-url/win url)
-  (send-via-trampoline url
-    (λ() (shell-execute #f url "" (current-directory) 'SW_SHOWNORMAL))))
-
-(define (send-via-trampoline url simple)
   (if (not (regexp-match? #rx"[#?]" url))
-    (simple)
+    (shell-execute #f url "" (current-directory) 'SW_SHOWNORMAL)
     (send-url/contents
      (string-append
       "<html><head><meta http-equiv=\"refresh\" content=\"0;URL="url"\"></head>"
